Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer.facets
Class RevocationData

    java.lang.Object
      be.fedict.eid.applet.service.signer.facets.RevocationData

    public class RevocationData

extends Object

Container class for PKI revocation data.

Author:
  Frank Cornelis

Constructor Summary
`RevocationData()` Default constructor.

Method Summary
`void` | `addCRL(byte[] encodedCrl)` Adds a CRL to this revocation data set.
`void` | `addCRL(X509CRL crl)` Adds a CRL to this revocation data set.
`void` | `addOCSP(byte[] encodedOcsp)` Adds an OCSP response to this revocation data set.
`List<byte[]>` | `getCRLs()` Gives back a list of all CRLs.
`List<byte[]>` | `getOCSPs()` Gives back a list of all OCSP responses.
`boolean` | `hasCRLs()` Returns `true` if this revocation data set holds CRLs.
`boolean` | `hasOCSPs()` Returns `true` if this revocation data set holds OCSP responses.
`boolean` | `hasRevocationDataEntries()` Returns `true` if this revocation data is not empty.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevocationData

    public RevocationData()

  Default constructor.

Method Detail

### addCRL

    public void addCRL(byte[] encodedCrl)

  Adds a CRL to this revocation data set.

  Parameters:
    `encodedCrl` -

### addCRL

    public void addCRL(X509CRL crl)

  Adds a CRL to this revocation data set.

  Parameters:
    `crl` -

### addOCSP

    public void addOCSP(byte[] encodedOcsp)

  Adds an OCSP response to this revocation data set.

  Parameters:
    `encodedOcsp` -

### getCRLs

    public List<byte[]> getCRLs()

  Gives back a list of all CRLs.

  Returns:

### getOCSPs

    public List<byte[]> getOCSPs()

  Gives back a list of all OCSP responses.

  Returns:

### hasOCSPs

    public boolean hasOCSPs()

  Returns `true` if this revocation data set holds OCSP responses.

  Returns:

### hasCRLs

    public boolean hasCRLs()

  Returns `true` if this revocation data set holds CRLs.

  Returns:

### hasRevocationDataEntries

    public boolean hasRevocationDataEntries()

  Returns `true` if this revocation data is not empty.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.